-- Test invoice_status_i18n
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(23);

set search_path to camper, public;

select has_table('invoice_status_i18n');
select has_pk('invoice_status_i18n' );
select col_is_pk('invoice_status_i18n', array['invoice_status', 'lang_tag']);
select table_privs_are('invoice_status_i18n', 'guest', array []::text[]);
select table_privs_are('invoice_status_i18n', 'employee', array ['SELECT']);
select table_privs_are('invoice_status_i18n', 'admin', array ['SELECT']);
select table_privs_are('invoice_status_i18n', 'authenticator', array []::text[]);

select has_column('invoice_status_i18n', 'invoice_status');
select col_is_fk('invoice_status_i18n', 'invoice_status');
select fk_ok('invoice_status_i18n', 'invoice_status', 'invoice_status', 'invoice_status');
select col_type_is('invoice_status_i18n', 'invoice_status', 'text');
select col_not_null('invoice_status_i18n', 'invoice_status');
select col_hasnt_default('invoice_status_i18n', 'invoice_status');

select has_column('invoice_status_i18n', 'lang_tag');
select col_is_fk('invoice_status_i18n', 'lang_tag');
select fk_ok('invoice_status_i18n', 'lang_tag', 'language', 'lang_tag');
select col_type_is('invoice_status_i18n', 'lang_tag', 'text');
select col_not_null('invoice_status_i18n', 'lang_tag');
select col_hasnt_default('invoice_status_i18n', 'lang_tag');

select has_column('invoice_status_i18n', 'name');
select col_type_is('invoice_status_i18n', 'name', 'text');
select col_not_null('invoice_status_i18n', 'name');
select col_hasnt_default('invoice_status_i18n', 'name');


select *
from finish();

rollback;

